﻿define("vybildbank/vybildbankimageeditor", [
	"dojo/_base/declare",
	"epi/_Module",
	"epi-cms/command/EditImage"
], function (
	declare,
	module,
	EditImage
) {
		return declare([module], {

			initialize: function () {
				this.inherited(arguments);

				var original = EditImage.prototype._onModelChange;
				EditImage.prototype._onModelChange = function () {
					var result = original.apply(this, arguments);

					if (!this.get("isAvailable")) {
						return result;
					}

					var target = this._getSingleSelectionData(),
						canExecute = target && target.typeIdentifier !== "vybildbank.vybildbank.models.vybildbankimage";

					if (!canExecute) {
						this.set("isAvailable", false);
						this.set("canExecute", false);
					}
					return result;
				}
			}
		});
	});